# PipeWire Endpoint

struct WpEndpoint

  The WpEndpoint class allows accessing the properties and methods of a PipeWire endpoint object (`struct pw_endpoint` from the session-manager extension).

  A WpEndpoint is constructed internally when a new endpoint appears on the PipeWire registry and it is made available through the WpObjectManager API.

  GObject Properties

  name

    The name of the endpoint

    `gchar *` | `G_PARAM_READABLE`

  media-class

    The media class of the endpoint (ex. “Audio/Sink”)

    `gchar *` | `G_PARAM_READABLE`

  direction

    The direction of the endpoint

    `WpDirection` | `G_PARAM_READABLE`

struct WpImplEndpoint

  GObject Properties

  item

    The session item that implements this endpoint

    `WpSiEndpoint *` | `G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY`

const gchar *wp_endpoint_get_name(WpEndpoint *self)

  Gets the name of the endpoint.

  Remark

  Requires WP_PIPEWIRE_OBJECT_FEATURE_INFO

  Parameters

    - self – the endpoint

  Returns

    the name of the endpoint

const gchar *wp_endpoint_get_media_class(WpEndpoint *self)

  Gets the media class of the endpoint (ex. “Audio/Sink”)

  Remark

  Requires WP_PIPEWIRE_OBJECT_FEATURE_INFO

  Parameters

    - self – the endpoint

  Returns

    the media class of the endpoint

WpDirection wp_endpoint_get_direction(WpEndpoint *self)

  Gets the direction of the endpoint.

  Remark

  Requires WP_PIPEWIRE_OBJECT_FEATURE_INFO

  Parameters

    - self – the endpoint

  Returns

    the direction of this endpoint

WpImplEndpoint *wp_impl_endpoint_new(WpCore *core, WpSiEndpoint *item)

  Creates a new endpoint implementation.

  Parameters

    - core – the core

    - item – the session item that implements the endpoint

  Returns

    (transfer full): a new WpImplEndpoint

WP_TYPE_ENDPOINT (wp_endpoint_get_type ())

  The WpEndpoint GType.

WP_TYPE_IMPL_ENDPOINT (wp_impl_endpoint_get_type ())

  The WpImplEndpoint GType.